%global pkg_name cmdargs

%global common_summary Command line argument processing

%global common_description This library provides an easy way to define command line \
parsers.

%global ghc_pkg_deps ghc-transformers-devel

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        0.6.8
Release:        2%{?dist}.0.arm1
Summary:        Haskell %{pkg_name}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9 %{arm}
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.7.3
BuildRequires:  hscolour
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install
# Remove the demo program
rm -vf %{buildroot}/%{_bindir}/%{pkg_name}


%{?ghc_lib_package}


%changelog
* Tue Sep 27 2011 Henrik Nordstrom <henrik.net> - 0.6.8-2.fc15.0.arm1
- Enable build on armv7hl

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.6.8-2
- Enable build on sparcv9

* Thu Feb 17 2011 Ben Boeckel <mathstuf@gmail.com> - 0.6.8-1
- Update to 0.6.8

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 15 2011 Ben Boeckel <mathstuf@gmail.com> - 0.6.7-1
- Update to 0.6.7

* Sat Jan 15 2011 Ben Boeckel <mathstuf@gmail.com> - 0.6.5-2
- Update to cabal2spec-0.22.4
- Rebuild

* Fri Dec 17 2010 Ben Boeckel <mathstuf@gmail.com> - 0.6.5-1
- Update to 0.6.5

* Fri Dec 03 2010 Ben Boeckel <mathstuf@gmail.com> - 0.6.4-1
- Update to 0.6.4

* Mon Nov 29 2010 Jens Petersen <petersen@redhat.com> - 0.6.3-2
- BR transformers

* Fri Nov 12 2010 Ben Boeckel <mathstuf@gmail.com> - 0.6.3-1
- Update to 0.6.3

* Mon Oct 18 2010 Ben Boeckel <mathstuf@gmail.com> - 0.6.1-1
- Update to 0.6.1

* Sat Sep 18 2010 Ben Boeckel <mathstuf@gmail.com> - 0.6-1
- Update to 0.6

* Thu Sep 16 2010 Ben Boeckel <mathstuf@gmail.com> - 0.5-1
- Update to 0.5

* Sun Sep 05 2010 Ben Boeckel <mathstuf@gmail.com> - 0.4-1
- Update to 0.4

* Wed Sep 01 2010 Ben Boeckel <mathstuf@gmail.com> - 0.2-2
- Don't ship the demo program

* Wed Sep 01 2010 Ben Boeckel <mathstuf@gmail.com> - 0.2-1
- Initial package

* Wed Sep  1 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.2-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
